
QGIS Application - Bug report #19566

Problem of printing a layout (map composer)

2018-08-08 11:55 AM - Evgeniy Z

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.1 Regression?: Yes

Operating System: Windows 10 x64, Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27393

Description

QGIS 3 has some problems with printing layouts.

I tested qgis on 3 computers with 4 printers and plotters. In all cases there were problems. Mostly with landscape orientation.

In some cases it was wrong orientation of sheet. In other cases it was wrong position of page on sheet.

I tried to change the values in "page properties". Page properties shows correct settings.

look images and photos with descriptions.

Related issues:

Related to QGIS Application - Bug report # 18650: QGIS 3.0 direct print Closed 2018-04-06

Associated revisions

Revision ee4cba06 - 2018-08-27 03:42 AM - Nyall Dawson

[layouts] Fix printed pages are offset from top-left on some platforms

Fixes #19566

Revision 96cf972c - 2018-08-27 04:34 AM - Nyall Dawson

[layouts] Fix printed pages are offset from top-left on some platforms

Fixes #19566

(cherry picked from commit ee4cba06e81a9a5771a70bb3886c95ed54b53e14)

History

#1 - 2018-08-08 11:57 AM - Evgeniy Z

2.18 works fine.

Export to image works fine.

#2 - 2018-08-13 01:40 AM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented
Fixed in 3.2.2

#3 - 2018-08-21 12:01 PM - Evgeniy Z

- Status changed from Closed to Reopened

Nyall Dawson wrote:

Fixed in 3.2.2

In 3.2.2 image on the sheet is offset ~5mm to the rigth and to the down with landscape and portrait orientation similary.

#4 - 2018-08-21 07:33 PM - Giovanni Manghi

- Resolution deleted (fixed/implemented)

- Status changed from Reopened to Feedback

Evgeniy Z wrote:

Nyall Dawson wrote:

Fixed in 3.2.2

In 3.2.2 image on the sheet is offset ~5mm to the rigth and to the down with landscape and portrait orientation similary.

Is this a different problem compared to the ones originally reported?

#5 - 2018-08-22 12:25 PM - Evgeniy Z

- File 18_08_22___02_landscape_print_list.jpg added

- File 18_08_22___03_portrait_print_list.jpg added

- File 18_08_22___01_QGIS2_18_print_list.jpg added

- File 18_08_22___00_Landscape_image.jpeg added

Giovanni Manghi wrote:

Is this a different problem compared to the ones originally reported?

It wasn't really fixed in 3.2.2. Landscape orientation's offset to the right got smaller now, but it's still there. Nothing changed about portrait orientation's

offset in all directions.

Look photos please 18_08_22___...

#6 - 2018-08-22 10:01 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2018-08-24 02:30 PM - Jérôme Guélat
I'm having the same problem with 2 different printers using QGIS 3.2.2 on Windows 7

#8 - 2018-08-24 02:36 PM - Jérôme Guélat

See also #18650

#9 - 2018-08-26 05:42 PM - Jürgen Fischer

- Related to Bug report #18650: QGIS 3.0 direct print  added

#10 - 2018-08-27 03:41 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ee4cba06e81a9a5771a70bb3886c95ed54b53e14.

#11 - 2018-08-27 03:53 PM - Jérôme Guélat

Thanks!

#12 - 2018-08-29 11:37 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

01_print_landscape.jpg 91.1 KB 2018-08-08 Evgeniy Z

02_Layout_1.jpeg 320 KB 2018-08-08 Evgeniy Z

03_Layout_1_print_list.jpg 287 KB 2018-08-08 Evgeniy Z

04_Layout_2.jpeg 313 KB 2018-08-08 Evgeniy Z

05_Layout_2_print_list.jpg 301 KB 2018-08-08 Evgeniy Z

18_08_22___00_Landscape_image.jpeg 94.2 KB 2018-08-22 Evgeniy Z

18_08_22___01_QGIS2_18_print_list.jpg 551 KB 2018-08-22 Evgeniy Z

18_08_22___03_portrait_print_list.jpg 447 KB 2018-08-22 Evgeniy Z

18_08_22___02_landscape_print_list.jpg 460 KB 2018-08-22 Evgeniy Z

2025-06-13 3/3


